You are not logged in.

#1 2005-12-18 22:50:33

eyolf
Member
From: Copenhagen
Registered: 2005-11-29
Posts: 334
Website

Kernel upgrade (and the ipw2200 issue?)

I guess this is a stupid question, but here goes:
What do I do to upgrade the kernel? I tried a pacman -Syu, and here's the output:

Targets: kernel26-2.6.14.4-2

Total Package Size:   20.0 MB

Proceed with upgrade? [Y/n]

:: Retrieving packages from current...
 kernel26-2.6.14.4-2      [################] 100%   20490K    44.3K/s  00:03:26

checking package integrity... done.
loading package data... done.
checking for file conflicts...
error: the following file conflicts were found:
  kernel26: /boot/initrd26-full.img: exists in filesystem
  kernel26: /lib/modules/2.6.14-ARCH/modules.ofmap: exists in filesystem


errors occurred, no packages were upgraded.

Should I do this from a boot CD?
I'm running Arch 0.7.1 (the beta), so I already have the 2.6.14 kernel - do I need the upgrade?

Also: I just recently tried to make the ipw2200 module work, but to no avail. I have it installed, it is listed in the output from hwd -s:

Ethernet   : Broadcom Corp.|BCM4401-B0 100Base-TX module: b44 device:   eth0  eth1
Network    : Intel Corp.|PRO/Wireless LAN 2200 module: ipw2200

and the last time I tried a pacman -Syu, there was a question if I wanted to remove ieee-something, since it was replaced by kernel26 - something like that, can't remember exactly. I've noticed that if I search the forums for "kernel26", all the recent threads are named something with "ipw2200"...

Offline

#2 2005-12-19 15:37:31

phydeaux
Member
Registered: 2005-06-13
Posts: 68

Re: Kernel upgrade (and the ipw2200 issue?)

Use pacman -Sf kernel26 to upgrade the kernel.  That will force it to overwrite those 2 conflicting files, shouldn't cause any problems.  The kernel package just isn't expecting those files to be there and pacman isn't sure it should overwrite them.

The ipw issue probably has something to do with the firmware.  The version of ipw2200 in the kernel is 1.0.0 which requires firmware version 2.2.  The ipw2200 firmware package in extra (misleadingly named ipw2200 1.0.8, but it kept this name so pacman would automaticly update the package properly...) contains version 2.4 of the firmware.  You can get the proper version here: http://ipw2200.sourceforge.net/firmware.php along with instructions to install it.  If you need a later version of ipw2200 because you want monitor mode or wpa_supplicant to work then have a look at the bottome of this wiki article: http://wiki.archlinux.org/index.php/Wpa_supplicant.

andy

Offline

#3 2005-12-19 16:49:47

eyolf
Member
From: Copenhagen
Registered: 2005-11-29
Posts: 334
Website

Re: Kernel upgrade (and the ipw2200 issue?)

Thanks. That worked. Not that things didn't work earlier, but I hate it when I get warnings I don't understand...
About the ipw2200 issue, I think I'll just wait until it gets straightened out - I'm not desperately in need of the wireless, yet - I still have this old-fashioned cable coming out of the router...
On the other hand, it doesn't look too complicated, so I might give it a try. Christmas is coming, my site is down, so I have plenty of time... :-)

Offline

#4 2005-12-19 19:29:49

apeiro
Daddy
From: Victoria, BC, Canada
Registered: 2002-08-12
Posts: 771
Website

Re: Kernel upgrade (and the ipw2200 issue?)

Just so you guys know, we are aware of the ipw2200 issue.  Not sure, but it sounds like two somewhat-separate issues.

1) The 2.4 firmware doesn't work with the old version of the drivers in kernel26.

I was led to believe they did work, which is why I cheated and made symlinks to the 2.2 filenames.  Two people confirmed it worked:  http://bugs.archlinux.org/task/3595

2)  The driver is too dang old to work with wpa_supplicant.

I didn't know this til it was too late, unfortunately, and now a bunch of ipw2200 users are temporarily screwed.  My apologies for this.  James Rayner wrote the ML, saying that he sees the newer versions of ipw2200 coming down the pipe in 2.6.15.  Can you guys survive until it comes out?  It's in rc6 now, so it shouldn't be too long.

Offline

#5 2005-12-20 02:19:04

phydeaux
Member
Registered: 2005-06-13
Posts: 68

Re: Kernel upgrade (and the ipw2200 issue?)

I actually just built a 2.6.15-rc6 kenel for my laptop this afternoon.  The ipw2200 part of it worked fine, I didn't test much else since xfce wont start on it for some reason, x will start its default wm fine and I haven't trouble shot it much.

I was unaware of your little cheat when I posted that, I didn't look at the very bottom of the pkgbuild and see the symlinks, that was my fault.

Anyhow in the mean time building the old ieee80211 and ipw2200 packages seems to work to get things going again.

andy

Offline

#6 2005-12-20 14:06:30

iphitus
Forum Fellow
From: Melbourne, Australia
Registered: 2004-10-09
Posts: 4,927

Re: Kernel upgrade (and the ipw2200 issue?)

apeiro wrote:

James Rayner wrote the ML....


:shock: whozzat?

I'd be very surprised if there werent big updates to ipw2200 in the next kernel, very surprised.

Offline

Board footer

Powered by FluxBB